com.fasterxml.jackson.databind.deser.std

## Class StackTraceElementDeserializer.Adapter

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.StackTraceElementDeserializer.Adapter

Enclosing class:
  StackTraceElementDeserializer

    public static final class StackTraceElementDeserializer.Adapter
    extends Object

Intermediate class used both for convenience of binding and to support `PropertyNamingStrategy`.

Since:
  2.14

### Field Summary

Fields
`String` `classLoaderName`
`String` `className`
`String` `declaringClass`
`String` `fileName`
`String` `format`
`int` `lineNumber`
`String` `methodName`
`String` `moduleName`
`String` `moduleVersion`
`boolean` `nativeMethod`

### Constructor Summary

Constructors
Constructor and Description
`Adapter()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### className

    public String className

#### classLoaderName

    public String classLoaderName

#### declaringClass

    public String declaringClass

#### format

    public String format

#### fileName

    public String fileName

#### methodName

    public String methodName

#### lineNumber

    public int lineNumber

#### moduleName

    public String moduleName

#### moduleVersion

    public String moduleVersion

#### nativeMethod

    public boolean nativeMethod

### Constructor Detail

#### Adapter

    public Adapter()